<?php
/*  Copyright (c) 2018 ArcLindon LLC, Some Rights Reserved**
 *  $Id: citem_config_cmos.php 244 2017-02-11 22:26:02Z bill $
 *
 *  ** Users are granted an non-exclusive, non-transferable license 
 *     to copy, adapt, or modify this configuration file in support 
 *     of their personal, non-commercial use.  All other rights are 
 *     reserved.
 *
 *  Changes:
 *  2018/04/05  bherndon    v11.1.2.8
 *  2018/02/25  bherndon    Created from citem_config_cmos.php, trunk@244
 */
                                                                               
/*  Citation Master Configuration File - APA Style */
 
//  Format instructions for the APA 'Book' format
$APA_default_inst = array(
  'AUTH' => array(
    'separator' => 'period'
  ),
  'DATE' => array(
    'format' => 'Y',
    'surround' => 'parens',
    'separator' => 'period'
  ),
  'TITL' => array(
    'typeface' => 'italic',
    'separator' => 'period'
  ),
  'PUBL' => array(
    'typeface' => 'plain'
  )
);

//  Format instructions for the URL page reference, APA 'URL' format
$APA_reference_inst = array(
  '_RAUT' => array(
    'separator' => 'period'
  ),
  '_RCDT' => array(
    'format' => 'Y, F j',
    'surround' => 'parens',
    'separator' => 'period'
  ),
  '_RNAM' => array(
    'separator' => 'period',
  ),
  '_RTTL' => array(
    'typeface' => 'italic',
    'separator' => 'period',
  ),
  '_RURL' => array(
    'prepend' => 'Retrieved from '
  )
);


//  Just a variable declaration for the array of format specifications
$citem_format_spec;

/*  This is the default format specification.  You must have one of 
 *  these. If no other format specification matches your source type, 
 *  then this one gets used.
 */
$citem_format_spec['_default'] = array(
  'name' => '',
  'comment' => 'Default format (APA for books).',
  'context' => 'all',
  'trailer' => 'period',
  'tags' => $APA_default_inst
);

/*  This is the format specification for page references.  If you use the
 *  page reference feature you should have one of these.
 */
$citem_format_spec['_reference'] = array(
  'name' => '',
  'comment' => 'Reference format (APA for URLs).',
  'context' => 'all',
  'trailer' => '',
  'tags' => $APA_reference_inst
);

?>