<?php
/*  Copyright (c) 2015 ArcLindon LLC, Creative Commons NC-SA
 *  $Id: arcl_lib_webparts.php 111 2015-07-04 21:34:11Z bill $
 *
 *  Changes:   
 *  2015/06/05  bherndon    Created
 *
 */

/*  Dropdown-list web-part
 *                        
 *  $name:      Name parameter of the <select> element
 *  $options:   List of items used for the <option> elements  
 *  $choose:    [optional] When specified, used to create an empty lead 
 *  $selected:  [optional] Selected identifier from the list of options
 *  $class:     [optional] Class parameter
 *  $event:     [optional] Event
 *  $action:    [optional] Event action (when event is specified)
 *              <option> element using the input
 *
 *  Returns:    String containing the <select> element
 */
function web_dropdown($name, array $options, $choose = null, $selected = null, 
                      $class = null, $event = null, $action = null)
{
  // start the select
  $etext = ($event) ? "$event=\"$action\"" : null;
  $part  = "<select name=\"$name\" id=\"$name\" $etext>\n";
    
  // generate the options
  if ($choose) {
    // generate the empty lead <option> element
    $part .= "<option style=\"font-style: italic;\" value=\"_none\" $select>" 
             . "$choose</option>\n";
  }
  
  foreach($options as $key => $option) {
    $select = ($selected == $option) ? ' selected' : null;
    $part .= "<option value=\"$option\" $select>$option</option>\n";
  }

  // end the select
  $part .= '</select>'."\n";

  // return the web-part
  return $part;
}

?>